Hi, The attached file is the diff for my isdnutils 1:3.9.20060704-3.3 NMU. The associated changelog entry is:
isdnutils (1:3.9.20060704-3.3) unstable; urgency=medium
* Non-maintainer upload.
* Add 'bashisms.dpatch' to fix bashisms in 'vboxplay' script
(Closes: #464994)
* Bump Standards-Version to 3.7.3.
Regards,
--
Chris Lamb, UK [EMAIL PROTECTED]
GPG: 0x634F9A20
diff -Nru /tmp/Eq6hqsZUge/isdnutils-3.9.20060704/debian/changelog
/tmp/Ek1X6KDgcU/isdnutils-3.9.20060704/debian/changelog
--- isdnutils-3.9.20060704/debian/changelog 2008-04-12 05:26:09.000000000
+0100
+++ isdnutils-3.9.20060704/debian/changelog 2008-04-12 05:26:10.000000000
+0100
@@ -1,3 +1,12 @@
+isdnutils (1:3.9.20060704-3.3) unstable; urgency=medium
+
+ * Non-maintainer upload.
+ * Add 'bashisms.dpatch' to fix bashisms in 'vboxplay' script
+ (Closes: #464994)
+ * Bump Standards-Version to 3.7.3.
+
+ -- Chris Lamb <[EMAIL PROTECTED]> Sat, 12 Apr 2008 05:10:47 +0100
+
isdnutils (1:3.9.20060704-3.2) unstable; urgency=low
* Non-maintainer upload.
diff -Nru /tmp/Eq6hqsZUge/isdnutils-3.9.20060704/debian/control
/tmp/Ek1X6KDgcU/isdnutils-3.9.20060704/debian/control
--- isdnutils-3.9.20060704/debian/control 2008-04-12 05:26:09.000000000
+0100
+++ isdnutils-3.9.20060704/debian/control 2008-04-12 05:26:10.000000000
+0100
@@ -3,7 +3,7 @@
Priority: extra
Maintainer: Paul Slootman <[EMAIL PROTECTED]>
Uploaders: Paul Slootman <[EMAIL PROTECTED]>, Matthias Klose <[EMAIL
PROTECTED]>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
Build-Depends: debhelper (>=4.1.16), bzip2, libncurses5-dev | libncurses-dev,
xutils | imake, tcl8.3-dev, linuxdoc-tools (>=0.9.20), groff, libtool,
libxaw7-dev, libreadline5-dev | libreadline-dev, libpcap0.8-dev, autotools-dev,
automake1.4, automake1.7, automake1.8, autoconf2.13, autoconf, libssl-dev,
psutils, lsb-release, po-debconf
Package: isdnutils
diff -Nru /tmp/Eq6hqsZUge/isdnutils-3.9.20060704/debian/patches/bashisms.dpatch
/tmp/Ek1X6KDgcU/isdnutils-3.9.20060704/debian/patches/bashisms.dpatch
--- isdnutils-3.9.20060704/debian/patches/bashisms.dpatch 1970-01-01
01:00:00.000000000 +0100
+++ isdnutils-3.9.20060704/debian/patches/bashisms.dpatch 2008-04-12
05:26:10.000000000 +0100
@@ -0,0 +1,38 @@
+#! /bin/sh -e
+
+# DP: Fix bashisms in vboxplay script.
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+ pdir="-d $3"
+ dir="$3/"
+elif [ $# -ne 1 ]; then
+ echo >&2 "usage: `basename $0`: -patch|-unpatch [-d <srcdir>]"
+ exit 1
+fi
+case "$1" in
+ -patch)
+ patch $pdir -f --no-backup-if-mismatch -p0 < $0
+ #cd ${dir}gcc && autoconf
+ ;;
+ -unpatch)
+ patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+ #rm ${dir}gcc/configure
+ ;;
+ *)
+ echo >&2 "usage: `basename $0`: -patch|-unpatch [-d <srcdir>]"
+ exit 1
+esac
+exit 0
+
+--- isdnutils-3.9.20060704.orig/vbox/utils/vboxplay.in 2008-04-08
07:45:09.000000000 +0100
++++ isdnutils-3.9.20060704/vbox/utils/vboxplay.in 2008-04-08
07:47:30.000000000 +0100
+@@ -15,7 +15,7 @@
+
+ SAMPLE=$1
+ VOLUME=$2
+-if [ "$VOLUME" == "" ]; then
++if [ -z "$VOLUME" ]; then
+ VOLUME=5;
+ fi
+
signature.asc
Description: PGP signature

